/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_COMMON_UTIL_H_
#define SCREEN_CONNECTOR_COMMON_UTIL_H_

#include <memory>

#include "screen_connector_common/evas_object.h"
#include "screen_connector_common/export.h"
#include "screen_connector_common/wl2_window.h"

namespace screen_connector {
namespace util {

EXPORT std::shared_ptr<Wl2Window> GetWl2Window(Evas_Object* win) {
  Ecore_Wl2_Window* wl2_win =
      reinterpret_cast<Ecore_Wl2_Window*>(elm_win_wl_window_get(win));
  return std::shared_ptr<Wl2Window>(new Wl2Window(wl2_win));
}

}  // namespace util
}  // namespace screen_connector

#endif  // SCREEN_CONNECTOR_COMMON_UTIL_H_
