/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_INCLUDE_SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_H_
#define SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_INCLUDE_SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_H_

#include <stdbool.h>

#include <Ecore_Wl2.h>
#include <tizen.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
  SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_PREPARE_STATE_WIDGET_SHOW,
  SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_PREPARE_STATE_WIDGET_HIDE,
} screen_connector_shared_widget_launch_prepare_state_e;

typedef void* screen_connector_shared_widget_launch_h;

typedef void (*screen_connector_shared_widget_launch_prepare_cb)(
  screen_connector_shared_widget_launch_prepare_state_e prepare_state,
  uint32_t serial,
  void* user_data);

int screen_connector_shared_widget_launch_create(Ecore_Wl2_Window* wl2_win,
  screen_connector_shared_widget_launch_h* handle);

int screen_connector_shared_widget_launch_destroy(
  screen_connector_shared_widget_launch_h handle);

int screen_connector_shared_widget_launch_prepare_cb_set(
  screen_connector_shared_widget_launch_h handle,
  screen_connector_shared_widget_launch_prepare_cb callback,
  void* user_data);

int screen_connector_shared_widget_launch_prepare_done(
  screen_connector_shared_widget_launch_h handle,
  const char* shared_widget_info,
  screen_connector_shared_widget_launch_prepare_state_e prepare_state,
  uint32_t serial);

#ifdef __cplusplus
}
#endif

#endif  // SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_INCLUDE_SCREEN_CONNECTOR_SHARED_WIDGET_LAUNCH_H_
